Public Member Functions | List of all members
clan::JsonException Class Reference
clanCore JSON

Exception class thrown for JSON exceptions. More...

`#include <json_value.h>`

Inheritance diagram for clan::JsonException:

## Public Member Functions
| JsonException (const std::string &message)
Public Member Functions inherited from clan::Exception
| Exception (const std::string &message)
| Constructs an exception object. More...
virtual | ~Exception () throw ()
| Destructs an exception object. More...
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created. More...
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines. More...
virtual const char * | what () const override throw ()
| Returns description of exception. More...

## Additional Inherited Members
Public Attributes inherited from clan::Exception
std::string | message
| Description of exception. More...

## Detailed Description

Exception class thrown for JSON exceptions.

## Constructor & Destructor Documentation

clan::JsonException::JsonException | ( | const std::string & | message | ) |
| inline

The documentation for this class was generated from the following file:

- json_value.h